Abstract Approval Processes
Events (Meetings & Shows) (v1-2025-04-18)
The Meetings & Shows, or Events, API is used to manage all aspects of events from recurring webinars to annual trade shows. From this API you can access Registrants, Speakers, and Abstracts as well as update the details of your events themselves.
Like most of the other Rhythm apps, the Events API includes endpoints for Query Definitions. These endpoints are commonly used to retrieve saved queries, which can then be executed using the Query endpoints of the System API.
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/exhibitorPriorityPointTypes/{tenantId}
- https://events.api.rhythmsoftware.com/exhibitorPriorityPointTypes/{tenantId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/exhibitorPriorityPointTypes/{tenantId}?fields=string&exclusiveStartKey=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'The exhibitor priority point typeswere retrieved successfully.
The end date
The end date
The start date
The start date
If set, there are automatic rules that allow for point accumulation
If this record was loaded via bulk, the timestamp when the record was processed
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The error associated with the calculated field
If a snapshot was restored/applies to this record, the ID of the snapshot
The date/time that this record was created, expressed in ISO-8601 date format
The ID of the user that deleted (or last tried to delete) this object
Means for passing directive information into an object processing logic
If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion
If this record was last touched by a bulk data operation, the ID of that operation
If this record was last touched by a bulk data operation, the sys_version at the time of that operation
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
The security context of the last insert, modify, or delete performed on this item
The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox
A number representing the version of this record in the database
[ { "accumulation_rules": [ … ], "custom_field_values": [ … ], "enable_accumulation_rules": true, "id": "string", "is_active": true, "name": "string", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ … ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1 } ]
Request
This method will auto-generate an ID and create a new exhibitor priority point type. If an ID is specified for the exhibitor priority point type, an error will be thrown.
The exhibitor priority point type that you would like to be saved.
The end date
The end date
The start date
The start date
If set, there are automatic rules that allow for point accumulation
If this record was loaded via bulk, the timestamp when the record was processed
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The error associated with the calculated field
If a snapshot was restored/applies to this record, the ID of the snapshot
The date/time that this record was created, expressed in ISO-8601 date format
The ID of the user that deleted (or last tried to delete) this object
Means for passing directive information into an object processing logic
If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion
If this record was last touched by a bulk data operation, the ID of that operation
If this record was last touched by a bulk data operation, the sys_version at the time of that operation
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
The security context of the last insert, modify, or delete performed on this item
The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/exhibitorPriorityPointTypes/{tenantId}
- https://events.api.rhythmsoftware.com/exhibitorPriorityPointTypes/{tenantId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/exhibitorPriorityPointTypes/{tenantId}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"accumulation_rules": [
{
"consideration_range_end": "a relative date",
"consideration_range_end_relative_date": {
"number": null,
"position": "after",
"relative_to": "the beginning of the month",
"unit_of_time": "days"
},
"consideration_range_end_specific_date": null,
"consideration_range_start": "a relative date",
"consideration_range_start_relative_date": {
"number": null,
"position": "after",
"relative_to": "the beginning of the month",
"unit_of_time": "days"
},
"consideration_range_start_specific_date": null,
"custom_accumulation_rule": {
"lambda_function_id": "string"
},
"exhibitor_accumulation_rule": {
"booth_type_ids": {
"0": "string"
},
"booth_type_restriction": "exclude",
"calculation_strategy": "fixed",
"event_ids": {
"0": "string"
},
"event_restriction": "exclude",
"event_type_ids": {
"0": "string"
},
"event_type_restriction": "exclude",
"maximum_square_footage": 0.1,
"minimum_square_footage": 0.1,
"number_of_points": 0.1,
"square_footage_multiplier": null
},
"id": "string",
"membership_accumulation_rule": {
"package_ids": {
"0": "string"
},
"package_restriction": "exclude",
"points_per_year": 0.1,
"type_ids": {
"0": "string"
},
"type_restriction": "exclude"
},
"name": "string",
"sponsorship_accumulation_rule": {
"calculation_strategy": "assign number of points",
"category_ids": {
"0": "string"
},
"category_restriction": "exclude",
"maximum_amount_per_sponsorship": 0.1,
"maximum_total_amount": 0.1,
"minimum_amount_per_sponsorship": 0.1,
"minimum_total_amount": 0.1,
"number_of_points": 0.1,
"opportunity_ids": {
"0": "string"
},
"opportunity_restriction": "exclude"
},
"type": "custom"
}
],
"custom_field_values": [
{
"boolean_value": true,
"custom_field_id": "string",
"file_url_value": "string",
"list_value": [
"string"
],
"numeric_value": 0.1,
"string_value": "string",
"table_value": [
{}
]
}
],
"enable_accumulation_rules": true,
"id": "string",
"is_active": true,
"name": "string",
"sys_bulk_load_at": "string",
"sys_bulk_load_id": "string",
"sys_bulk_load_pk": "string",
"sys_bulk_load_record_no": 0.1,
"sys_bulk_load_source_file": "string",
"sys_calculated_field_error": "string",
"sys_calculated_field_errors": [
{
"error": "string",
"field": "string"
}
],
"sys_configuration_snapshot_id": "string",
"sys_created_at": "2019-08-24T14:15:22Z",
"sys_created_by_id": "string",
"sys_deleted_by_id": "string",
"sys_directive": "string",
"sys_external_id": "string",
"sys_has_files_in_s3": true,
"sys_last_bulk_data_operation_id": "string",
"sys_last_bulk_data_operation_sys_version": "string",
"sys_last_modified_at": "2019-08-24T14:15:22Z",
"sys_last_modified_by_id": "string",
"sys_last_security_context": {},
"sys_locked": true,
"sys_snapshot_base_version": 0.1,
"sys_version": 0.1
}'The exhibitor priority point type was saved successfully.
The end date
The end date
The start date
The start date
If set, there are automatic rules that allow for point accumulation
If this record was loaded via bulk, the timestamp when the record was processed
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The error associated with the calculated field
If a snapshot was restored/applies to this record, the ID of the snapshot
The date/time that this record was created, expressed in ISO-8601 date format
The ID of the user that deleted (or last tried to delete) this object
Means for passing directive information into an object processing logic
If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion
If this record was last touched by a bulk data operation, the ID of that operation
If this record was last touched by a bulk data operation, the sys_version at the time of that operation
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
The security context of the last insert, modify, or delete performed on this item
The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox
{ "accumulation_rules": [ { … } ], "custom_field_values": [ { … } ], "enable_accumulation_rules": true, "id": "string", "is_active": true, "name": "string", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1 }
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/exhibitorPriorityPointTypes/{tenantId}/batch
- https://events.api.rhythmsoftware.com/exhibitorPriorityPointTypes/{tenantId}/batch
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/exhibitorPriorityPointTypes/{tenantId}/batch' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"operations": [
{
"id": null,
"object": {},
"operation": "create",
"patch_directives": {
"0": {
"op": "add",
"path": "string",
"value": "string"
}
},
"payload": {
"abstract": {
"approval_process_id": "string",
"average_score": 0.1,
"body": "string",
"bucket_id": null,
"city": "string",
"co_author_1": {
"email_address": "string",
"first_name": "string",
"last_name": "string",
"phone_number": "string",
"speaker_type_id": "string"
},
"co_author_2": {
"email_address": "string",
"first_name": "string",
"last_name": "string",
"phone_number": "string",
"speaker_type_id": "string"
},
"co_author_3": {
"email_address": "string",
"first_name": "string",
"last_name": "string",
"phone_number": "string",
"speaker_type_id": "string"
},
"co_author_4": {
"email_address": "string",
"first_name": "string",
"last_name": "string",
"phone_number": "string",
"speaker_type_id": "string"
},
"co_author_5": {
"email_address": "string",
"first_name": "string",
"last_name": "string",
"phone_number": "string",
"speaker_type_id": "string"
},
"co_authors": {
"0": {
"co_author_contact_id": "string",
"co_author_contact_info": {},
"speaker_type_id": "string"
}
},
"country": "string",
"custom_field_values": [
{
"boolean_value": true,
"custom_field_id": "string",
"file_url_value": "string",
"list_value": [
null
],
"numeric_value": 0.1,
"string_value": "string",
"table_value": [
{}
]
}
],
"date": "2019-08-24T14:15:22Z",
"email_address": "string",
"event_id": "string",
"first_name": "string",
"has_co_authors": true,
"id": null,
"job_title": "string",
"last_name": "string",
"last_review_status_change": "2019-08-24T14:15:22Z",
"main_presenter_id": "string",
"max_contact_submissions": 0.1,
"name": "string",
"notes": "string",
"number": 0.1,
"organization_id": "string",
"override_bucket_assignment": true,
"pending_console_review": true,
"presenter_info": {
"contact_info": {},
"email_presenter": true
},
"process_id": "string",
"review_process_id": "string",
"review_round_id": null,
"review_status": "accepted",
"reviewer_recommendation": "string",
"reviews_assigned": true,
"room_ids": [
"string"
],
"round_id": "string",
"round_scores": [
{
"round_id": "string",
"score": 0.1
}
],
"session_has_been_generated": true,
"session_track_ids": [
"string"
],
"state": "string",
"status": "accepted",
"submission_space_id": "string",
"submitter_id": "string",
"submitting_on_behalf_of_presenter": true,
"sys_bulk_load_at": "string",
"sys_bulk_load_id": "string",
"sys_bulk_load_pk": "string",
"sys_bulk_load_record_no": 0.1,
"sys_bulk_load_source_file": "string",
"sys_calculated_field_error": "string",
"sys_calculated_field_errors": [
{
"error": "string",
"field": "string"
}
],
"sys_configuration_snapshot_id": "string",
"sys_created_at": null,
"sys_created_by_id": null,
"sys_deleted_by_id": "string",
"sys_directive": "string",
"sys_external_id": "string",
"sys_has_files_in_s3": true,
"sys_last_bulk_data_operation_id": "string",
"sys_last_bulk_data_operation_sys_version": "string",
"sys_last_modified_at": null,
"sys_last_modified_by_id": null,
"sys_last_security_context": {},
"sys_locked": true,
"sys_snapshot_base_version": 0.1,
"sys_version": 0.1,
"title": "string",
"total_score": 0.1,
"type_id": "string"
},
"allow_duplicates": true,
"main_presenter_speaker_type_id": "string",
"make_co_authors_speakers": true,
"new_status": "accepted",
"suppress_email_notifications": true,
"type_id": "string"
}
}
]
}'{ "error_count": 0.1, "results": [ { … } ], "success_count": 0.1 }
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/exhibitorPriorityPointTypes/{tenantId}/{id}
- https://events.api.rhythmsoftware.com/exhibitorPriorityPointTypes/{tenantId}/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X DELETE \
'https://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/exhibitorPriorityPointTypes/{tenantId}/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'"string"
Request
This method will look up a exhibitor priority point type by the specified ID and return it back.
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/exhibitorPriorityPointTypes/{tenantId}/{id}
- https://events.api.rhythmsoftware.com/exhibitorPriorityPointTypes/{tenantId}/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/exhibitorPriorityPointTypes/{tenantId}/{id}?fields=string&consistentRead=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'The exhibitor priority point type was retrieved successfully.
The end date
The end date
The start date
The start date
If set, there are automatic rules that allow for point accumulation
If this record was loaded via bulk, the timestamp when the record was processed
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The error associated with the calculated field
If a snapshot was restored/applies to this record, the ID of the snapshot
The date/time that this record was created, expressed in ISO-8601 date format
The ID of the user that deleted (or last tried to delete) this object
Means for passing directive information into an object processing logic
If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion
If this record was last touched by a bulk data operation, the ID of that operation
If this record was last touched by a bulk data operation, the sys_version at the time of that operation
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
The security context of the last insert, modify, or delete performed on this item
The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox
{ "accumulation_rules": [ { … } ], "custom_field_values": [ { … } ], "enable_accumulation_rules": true, "id": "string", "is_active": true, "name": "string", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1 }
Request
This method will patch an existing exhibitor priority point type with the specified ID, using the HTTP PATCH specification.
The patch directives conforming to RFC 6902.
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/exhibitorPriorityPointTypes/{tenantId}/{id}
- https://events.api.rhythmsoftware.com/exhibitorPriorityPointTypes/{tenantId}/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PATCH \
'https://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/exhibitorPriorityPointTypes/{tenantId}/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '[
{
"op": "add",
"path": "string",
"value": "string"
}
]'The exhibitor priority point type was patched successfully.
The end date
The end date
The start date
The start date
If set, there are automatic rules that allow for point accumulation
If this record was loaded via bulk, the timestamp when the record was processed
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The error associated with the calculated field
If a snapshot was restored/applies to this record, the ID of the snapshot
The date/time that this record was created, expressed in ISO-8601 date format
The ID of the user that deleted (or last tried to delete) this object
Means for passing directive information into an object processing logic
If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion
If this record was last touched by a bulk data operation, the ID of that operation
If this record was last touched by a bulk data operation, the sys_version at the time of that operation
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
The security context of the last insert, modify, or delete performed on this item
The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox
{ "accumulation_rules": [ { … } ], "custom_field_values": [ { … } ], "enable_accumulation_rules": true, "id": "string", "is_active": true, "name": "string", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1 }
The updated exhibitor priority point type that will be saved.
The end date
The end date
The start date
The start date
If set, there are automatic rules that allow for point accumulation
If this record was loaded via bulk, the timestamp when the record was processed
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The error associated with the calculated field
If a snapshot was restored/applies to this record, the ID of the snapshot
The date/time that this record was created, expressed in ISO-8601 date format
The ID of the user that deleted (or last tried to delete) this object
Means for passing directive information into an object processing logic
If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion
If this record was last touched by a bulk data operation, the ID of that operation
If this record was last touched by a bulk data operation, the sys_version at the time of that operation
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
The security context of the last insert, modify, or delete performed on this item
The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/exhibitorPriorityPointTypes/{tenantId}/{id}
- https://events.api.rhythmsoftware.com/exhibitorPriorityPointTypes/{tenantId}/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
'https://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/exhibitorPriorityPointTypes/{tenantId}/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"accumulation_rules": [
{
"consideration_range_end": "a relative date",
"consideration_range_end_relative_date": {
"number": null,
"position": "after",
"relative_to": "the beginning of the month",
"unit_of_time": "days"
},
"consideration_range_end_specific_date": null,
"consideration_range_start": "a relative date",
"consideration_range_start_relative_date": {
"number": null,
"position": "after",
"relative_to": "the beginning of the month",
"unit_of_time": "days"
},
"consideration_range_start_specific_date": null,
"custom_accumulation_rule": {
"lambda_function_id": "string"
},
"exhibitor_accumulation_rule": {
"booth_type_ids": {
"0": "string"
},
"booth_type_restriction": "exclude",
"calculation_strategy": "fixed",
"event_ids": {
"0": "string"
},
"event_restriction": "exclude",
"event_type_ids": {
"0": "string"
},
"event_type_restriction": "exclude",
"maximum_square_footage": 0.1,
"minimum_square_footage": 0.1,
"number_of_points": 0.1,
"square_footage_multiplier": null
},
"id": "string",
"membership_accumulation_rule": {
"package_ids": {
"0": "string"
},
"package_restriction": "exclude",
"points_per_year": 0.1,
"type_ids": {
"0": "string"
},
"type_restriction": "exclude"
},
"name": "string",
"sponsorship_accumulation_rule": {
"calculation_strategy": "assign number of points",
"category_ids": {
"0": "string"
},
"category_restriction": "exclude",
"maximum_amount_per_sponsorship": 0.1,
"maximum_total_amount": 0.1,
"minimum_amount_per_sponsorship": 0.1,
"minimum_total_amount": 0.1,
"number_of_points": 0.1,
"opportunity_ids": {
"0": "string"
},
"opportunity_restriction": "exclude"
},
"type": "custom"
}
],
"custom_field_values": [
{
"boolean_value": true,
"custom_field_id": "string",
"file_url_value": "string",
"list_value": [
"string"
],
"numeric_value": 0.1,
"string_value": "string",
"table_value": [
{}
]
}
],
"enable_accumulation_rules": true,
"id": "string",
"is_active": true,
"name": "string",
"sys_bulk_load_at": "string",
"sys_bulk_load_id": "string",
"sys_bulk_load_pk": "string",
"sys_bulk_load_record_no": 0.1,
"sys_bulk_load_source_file": "string",
"sys_calculated_field_error": "string",
"sys_calculated_field_errors": [
{
"error": "string",
"field": "string"
}
],
"sys_configuration_snapshot_id": "string",
"sys_created_at": "2019-08-24T14:15:22Z",
"sys_created_by_id": "string",
"sys_deleted_by_id": "string",
"sys_directive": "string",
"sys_external_id": "string",
"sys_has_files_in_s3": true,
"sys_last_bulk_data_operation_id": "string",
"sys_last_bulk_data_operation_sys_version": "string",
"sys_last_modified_at": "2019-08-24T14:15:22Z",
"sys_last_modified_by_id": "string",
"sys_last_security_context": {},
"sys_locked": true,
"sys_snapshot_base_version": 0.1,
"sys_version": 0.1
}'The exhibitor priority point type was updated successfully.
The end date
The end date
The start date
The start date
If set, there are automatic rules that allow for point accumulation
If this record was loaded via bulk, the timestamp when the record was processed
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The error associated with the calculated field
If a snapshot was restored/applies to this record, the ID of the snapshot
The date/time that this record was created, expressed in ISO-8601 date format
The ID of the user that deleted (or last tried to delete) this object
Means for passing directive information into an object processing logic
If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion
If this record was last touched by a bulk data operation, the ID of that operation
If this record was last touched by a bulk data operation, the sys_version at the time of that operation
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
The security context of the last insert, modify, or delete performed on this item
The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox
{ "accumulation_rules": [ { … } ], "custom_field_values": [ { … } ], "enable_accumulation_rules": true, "id": "string", "is_active": true, "name": "string", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1 }